Bug 239718 - net/samba410: smbd fails to start due to missing libtalloc.so.2
Summary: net/samba410: smbd fails to start due to missing libtalloc.so.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-08 14:31 UTC by Michael Rebele
Modified: 2019-08-20 16:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Rebele 2019-08-08 14:31:39 UTC
pkg upgrade from samba48 to samba-Package samba410-4.10.5_1 fails.
pkg samba48 is removed, but installation of pkg samba410 leads to a broken samba installation.

Starting smbd fails with:
ld-elf.so.1: Shared object "libtalloc.so.2" not found, required by "smbd"

testmparm fails with:
ld-elf.so.1: Shared object "libtalloc.so.2" not found, required by "testparm"

executing
ldd /usr/local/lib/samba4/private/libgensec-samba4.so 

/usr/local/lib/samba4/private/libgensec-samba4.so:
	libsamba-sockets-samba4.so => /usr/local/lib/samba4/private/libsamba-sockets-samba4.so (0x80102d000)
	libldb.so.1 => /usr/local/lib/samba4/private/libldb.so.1 (0x801246000)
	libreplace-samba4.so => /usr/local/lib/samba4/private/libreplace-samba4.so (0x80147a000)
	libsamba-modules-samba4.so => /usr/local/lib/samba4/private/libsamba-modules-samba4.so (0x80167f000)
	libsamdb.so.0 => /usr/local/lib/samba4/libsamdb.so.0 (0x801883000)
	libauthkrb5-samba4.so => /usr/local/lib/samba4/private/libauthkrb5-samba4.so (0x801a9c000)
	libsamba-security-samba4.so => /usr/local/lib/samba4/private/libsamba-security-samba4.so (0x801cb6000)
	libtevent-util.so.0 => /usr/local/lib/samba4/libtevent-util.so.0 (0x801ed6000)
	libndr-samba-samba4.so => /usr/local/lib/samba4/private/libndr-samba-samba4.so (0x8020db000)
	libcom_err-samba4.so.0 => /usr/local/lib/samba4/private/libcom_err-samba4.so.0 (0x8023fd000)
	libgssapi-samba4.so.2 => /usr/local/lib/samba4/private/libgssapi-samba4.so.2 (0x8025ff000)
	libasn1util-samba4.so => /usr/local/lib/samba4/private/libasn1util-samba4.so (0x802834000)
	libsamba-debug-samba4.so => /usr/local/lib/samba4/private/libsamba-debug-samba4.so (0x802a3b000)
	libsamba-util.so.0 => /usr/local/lib/samba4/libsamba-util.so.0 (0x802c43000)
	libwbclient.so.0 => /usr/local/lib/samba4/libwbclient.so.0 (0x802ebd000)
	libsamba-credentials.so.0 => /usr/local/lib/samba4/libsamba-credentials.so.0 (0x8030cd000)
	libcliauth-samba4.so => /usr/local/lib/samba4/private/libcliauth-samba4.so (0x8032e1000)
	libsamba-errors.so.1 => /usr/local/lib/samba4/libsamba-errors.so.1 (0x8034f6000)
	libiov-buf-samba4.so => /usr/local/lib/samba4/private/libiov-buf-samba4.so (0x803838000)
	libinterfaces-samba4.so => /usr/local/lib/samba4/private/libinterfaces-samba4.so (0x803a3a000)
	libndr-nbt.so.0 => /usr/local/lib/samba4/libndr-nbt.so.0 (0x803c3d000)
	libevents-samba4.so => /usr/local/lib/samba4/private/libevents-samba4.so (0x803e54000)
	libsocket-blocking-samba4.so => /usr/local/lib/samba4/private/libsocket-blocking-samba4.so (0x804056000)
	libroken-samba4.so.19 => /usr/local/lib/samba4/private/libroken-samba4.so.19 (0x804258000)
	libsamdb-common-samba4.so => /usr/local/lib/samba4/private/libsamdb-common-samba4.so (0x804466000)
	libndr.so.0 => /usr/local/lib/samba4/libndr.so.0 (0x804694000)
	libkrb5-samba4.so.26 => /usr/local/lib/samba4/private/libkrb5-samba4.so.26 (0x8048ac000)
	libldbsamba-samba4.so => /usr/local/lib/samba4/private/libldbsamba-samba4.so (0x804b1e000)
	libsamba-hostconfig.so.0 => /usr/local/lib/samba4/libsamba-hostconfig.so.0 (0x804d4d000)
	libkrb5samba-samba4.so => /usr/local/lib/samba4/private/libkrb5samba-samba4.so (0x804f7a000)
	libcli-ldap-common-samba4.so => /usr/local/lib/samba4/private/libcli-ldap-common-samba4.so (0x805187000)
	libasn1-samba4.so.8 => /usr/local/lib/samba4/private/libasn1-samba4.so.8 (0x80538f000)
	libcommon-auth-samba4.so => /usr/local/lib/samba4/private/libcommon-auth-samba4.so (0x805615000)
	libndr-krb5pac.so.0 => /usr/local/lib/samba4/libndr-krb5pac.so.0 (0x805822000)
	libndr-standard.so.0 => /usr/local/lib/samba4/libndr-standard.so.0 (0x805c00000)
	libhcrypto-samba4.so.5 => /usr/local/lib/samba4/private/libhcrypto-samba4.so.5 (0x8060e6000)
	libwind-samba4.so.0 => /usr/local/lib/samba4/private/libwind-samba4.so.0 (0x806321000)
	libtime-basic-samba4.so => /usr/local/lib/samba4/private/libtime-basic-samba4.so (0x806549000)
	libutil-setid-samba4.so => /usr/local/lib/samba4/private/libutil-setid-samba4.so (0x80674b000)
	libaesni-intel-samba4.so => /usr/local/lib/samba4/private/libaesni-intel-samba4.so (0x80694e000)
	libgenrand-samba4.so => /usr/local/lib/samba4/private/libgenrand-samba4.so (0x806b56000)
	libwinbind-client-samba4.so => /usr/local/lib/samba4/private/libwinbind-client-samba4.so (0x806d58000)
	libutil-tdb-samba4.so => /usr/local/lib/samba4/private/libutil-tdb-samba4.so (0x806f5c000)
	libtdb-wrap-samba4.so => /usr/local/lib/samba4/private/libtdb-wrap-samba4.so (0x807160000)
	libdbwrap-samba4.so => /usr/local/lib/samba4/private/libdbwrap-samba4.so (0x807363000)
	libflag-mapping-samba4.so => /usr/local/lib/samba4/private/libflag-mapping-samba4.so (0x80756f000)
	libhx509-samba4.so.5 => /usr/local/lib/samba4/private/libhx509-samba4.so.5 (0x807772000)
	libheimbase-samba4.so.1 => /usr/local/lib/samba4/private/libheimbase-samba4.so.1 (0x8079c1000)
	libserver-role-samba4.so => /usr/local/lib/samba4/private/libserver-role-samba4.so (0x807bc5000)
	libMESSAGING-SEND-samba4.so => /usr/local/lib/samba4/private/libMESSAGING-SEND-samba4.so (0x807dc8000)
	libserver-id-db-samba4.so => /usr/local/lib/samba4/private/libserver-id-db-samba4.so (0x807fcb000)
	libsys-rw-samba4.so => /usr/local/lib/samba4/private/libsys-rw-samba4.so (0x8081cf000)
	libmessages-dgm-samba4.so => /usr/local/lib/samba4/private/libmessages-dgm-samba4.so (0x8083d2000)
	libcluster-samba4.so => /usr/local/lib/samba4/private/libcluster-samba4.so (0x8085de000)
	libmessages-util-samba4.so => /usr/local/lib/samba4/private/libmessages-util-samba4.so (0x8087e1000)
	libmsghdr-samba4.so => /usr/local/lib/samba4/private/libmsghdr-samba4.so (0x8089e3000)
	libgnutls.so.30 => /usr/local/lib/libgnutls.so.30 (0x805a30000)
	libjansson.so.4 => /usr/local/lib/libjansson.so.4 (0x800681000)
	libtdb.so.1 => /usr/local/lib/libtdb.so.1 (0x800693000)
	libutil.so.9 => /lib/libutil.so.9 (0x8006af000)
	libmd.so.6 => /lib/libmd.so.6 (0x8006c6000)
	libiconv.so.2 => /usr/local/lib/libiconv.so.2 (0x8006e3000)
	libexecinfo.so.1 => /usr/lib/libexecinfo.so.1 (0x8007e1000)
	libthr.so.3 => /lib/libthr.so.3 (0x808be6000)
	libcrypt.so.5 => /lib/libcrypt.so.5 (0x808c11000)
	libz.so.6 => /lib/libz.so.6 (0x8007e6000)
	libtevent.so.0 => /usr/local/lib/libtevent.so.0 (0x808c33000)
	libtalloc.so.2 => not found (0)
	librt.so.1 => /usr/lib/librt.so.1 (0x805bf5000)
	libc.so.7 => /lib/libc.so.7 (0x800248000)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libtalloc.so.2 => not found (0)
	libp11-kit.so.0 => /usr/local/lib/libp11-kit.so.0 (0x808c48000)
	libidn2.so.0 => /usr/local/lib/libidn2.so.0 (0x808d6e000)
	libunistring.so.2 => /usr/local/lib/libunistring.so.2 (0x808d90000)
	libdl.so.1 => /usr/lib/libdl.so.1 (0x808f45000)
	libtasn1.so.6 => /usr/local/lib/libtasn1.so.6 (0x808f49000)
	libnettle.so.6 => /usr/local/lib/libnettle.so.6 (0x808f60000)
	libhogweed.so.4 => /usr/local/lib/libhogweed.so.4 (0x808f9b000)
	libgmp.so.10 => /usr/local/lib/libgmp.so.10 (0x808fd3000)
	libintl.so.8 => /usr/local/lib/libintl.so.8 (0x809056000)
	libelf.so.2 => /lib/libelf.so.2 (0x809063000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x80907d000)
	libtalloc.so.2 => not found (0)
	libffi.so.6 => /usr/local/lib/libffi.so.6 (0x809095000)
Comment 1 Timur I. Bakeyev freebsd_committer 2019-08-19 22:10:31 UTC
I'm not certain what happened on your system, but it's HIGHLY advised to remove both samba48 package and all supplementary libraries, like talloc/tevent/tdb/ldb[1-4] and only then install samba410 package.
Comment 2 Michael Rebele 2019-08-20 16:02:51 UTC
Thank you, removing the libraries resolved the issue. 
I was not aware of these dependencies. Sorry for the inconvenience.